import { Column, ColumnStore } from '@bryntum/grid';

export class ColorColumn extends Column {
    // Define the type for this column, used in your columns config to add this column
    static get type() {
        return 'color';
    }

    // Override default values
    static get defaults() {
        return {
            field  : 'color',
            align  : 'center',
            editor : {
                type  : 'combo',
                items : [
                    'Black',
                    'Blue',
                    'Green',
                    'Orange',
                    'Pink',
                    'Purple',
                    'Red',
                    'Teal',
                    'Yellow'
                ]
            }
        };
    }

    renderer({ value, cellElement }) {
        const colorMap = {
            Blue   : '#64B5F6',
            Green  : '#81C784',
            Red    : '#E57373',
            Yellow : '#FFF176',
            Pink   : '#F06292',
            Purple : '#BA68C8',
            Orange : '#FFB74D',
            Teal   : '#4DB6AC',
            Black  : '#555'
        };

        if (value) {
            cellElement.style.backgroundColor = colorMap[value];
            cellElement.style.color = '#fff';
        }
        else {
            cellElement.style.backgroundColor = '';
            cellElement.style.color = '';
        }

        return value;
    }
}

ColumnStore.registerColumnType(ColorColumn);
